Subject: RE: Unable to run B19.1 tix4180.exe, cygtclsh80.exe, & cygwish80.exe on NT4.0 sp3 i386 system
From: [email-masked] (Karl Martin Syring)

14 Mar 1998 14:36:06 -0800
Message-ID: <[email-masked]>
Reply-To: "[email-masked]"
	 <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset="us-ascii"
Content-Transfer-Encoding: 7bit
To: "'Tom Epperly'" <[email-masked]>,
        "[email-masked]"
	 <[email-masked]>

This point as adrressed more than a week ago by Mumit Khan. I have posted a 
reply a week ago that seems to have disappeared inside the Cygnus black hole 
(uuhh, bad pun; Cygnus ist not a black hole). Here is a copy of of the 
messages:

=== Begin message ===
You are right. Now, if you add
SET TIX_LIBRARY=/usr/share/tix4.1/
to the cygnus.bat file even the windowed gdb will work in case you have mounted 
the CYGROOT directory as /usr. Strangely
SET TIX_LIBRARY=%CYGROOT%\share\tix4.1\
did not do the trick.

Regards
Karl

-----Original Message-----
From:	Mumit Khan [SMTP:[email-masked]]
Sent:	Monday, March 02, 1998 10:41 PM
To:	Noah M. Zigas
Cc:	[email-masked]
Subject:	Re: cygwish80 & cygtclsh80

Wonder if it's the old .rsrc section problem ... See if the executables
have a .rsrc section:

  % objdump -h cygwish80.exe

will give you a list of sections in the left column (eg., .text, .data,
etc). If it does have ".rsrc" entry, try the following on the executables
giving you trouble:

  % [save the original somewhere!]
  % objcopy --remove-section=.rsrc cygwish80.exe

I don't have b19 installed yet, so I might be completely off the base
here. Also, I don't know what you might lose by removing the .rsrc
section. Let's hope that Ian Taylor is reading this message.

Mumit
=== End message ===

-----Original Message-----
From:	Tom Epperly [SMTP:[email-masked]]
Sent:	Thursday, March 12, 1998 3:13 PM
To:	[email-masked]
Subject:	Unable to run B19.1 tix4180.exe, cygtclsh80.exe, & cygwish80.exe on 
NT4.0 sp3 i386 system

I am running Windows NT 4.0 (Service pack 3) on a Pentium based motherboard.
I installed cygwin32 from the binary distribution (i.e. cdk.exe and
usertools.exe) and installed the b19.1 version of cygwinb19.dll.  I've tried
to run tix4180, cygtclsh80 and cygwish80 tools from a bash shell window,
MS-DOS window and from the Windows NT Explorer.  My experience is summarized
below.

Log of trying to run from bash window
=====================================
bash-2.01$ tix4180.exe
bash: /Cygnus/B19/H-i386-cygwin32/bin/tix4180.exe: Permission denied
bash-2.01$ cygtclsh80.exe
bash: /Cygnus/B19/H-i386-cygwin32/bin/cygtclsh80.exe: Permission denied
bash-2.01$ cygwish80.exe
bash: /Cygnus/B19/H-i386-cygwin32/bin/cygwish80.exe: Permission denied
bash-2.01$ pwd
/Cygnus/B19/H-i386-cygwin32/bin
bash-2.01$

Try to run from Windows NT Exlorer
==================================
Double clicking on tix4180.exe, cygtclsh80.exe or cygwish80.exe produces a
dialog box with the message like (the file name changes of course):
C:\Cygnus\B19\H-i386-cygwin32\bin\tix4180.exe is not a valid Windows NT
application.

Try to run from MS-DOS window
=============================
I get the same sort of dialog box when I try to run from a MS-DOS window
plus I get an Access denied message in the MS-DOS window.

C:\Cygnus\B19\H-i386-cygwin32>tix4180
Access is denied.

C:\Cygnus\B19\H-i386-cygwin32>cygtclsh80
Access is denied.

C:\Cygnus\B19\H-i386-cygwin32>cygwish80
Access is denied.

C:\Cygnus\B19\H-i386-cygwin32>
--
-----------------------------------------------------------------------------
Tom Epperly	[email-masked]	 Ph:617-949-1860    FAX:617-949-1030
Aspen Technology, Ten Canal Park, Cambridge, MA 02141-2201 U.S.A.
-----------------------------------------------------------------------------

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".